Get Integration Resource
GET
https://api.vercel.com/v1/installations/{integrationConfigurationId}/resources/{resourceId}Get a resource by its partner ID.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.marketplace.getIntegrationResource({ integrationConfigurationId: "<id>", resourceId: "<id>", });
console.log(result);}
run();Response
{ "billingPlanId": "example_id", "customClaims": { "claimRules": [ { "claims": "value", "when": { "environment": [], "role": [] } } ], "defaultRole": "string", "roles": [] }, "id": "icfg_1234567890", "internalId": "example_id", "metadata": "value", "name": "Example Name", "notification": { "href": "string", "level": "error", "message": "string", "title": "string" }, "productId": "example_id", "protocolSettings": { "authentication": { "appUrls": [ { "target": "development", "url": "https://example.com" } ] }, "experimentation": { "edgeConfigId": "example_id", "globalConfigId": "example_id" } }, "status": "error"}AuthorizationbearerToken
Default authentication mechanism
200Success
The roles and claim rules Vercel resolves into the resource tokens it mints for this resource
The configured metadata for the resource as defined by its product's Metadata Schema
The notification, if set, displayed to the user when viewing the resource in Vercel
Any settings provided for the resource to support its product's protocols
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error